%     FASTENER DOCTOR - программа для лечения и конвертации крепежа
%     Copyright (C) 2018-2019  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function Check_result = Check_JT_Convertion(Convert_Mesh_From, Convert_Mesh_To)

index_1 = 0;
index_2 = 0;

JT_Compatibility_Matrix = [-1, 1, 1, 0, 0, 0, 0; ...
                            1, 1, 1, 0, 0, 0, 0; ...
                            1, 1, 1, 0, 0, 0, 0; ...
                            0, 0, 0,-1, 1, 0, 0; ...
                            0, 0, 0, 1,-1, 0, 0; ...
                            0, 0, 0, 0, 0,-1, 1; ...
                            0, 0, 0, 0, 0, 1,-1];

switch Convert_Mesh_From

    case 'PLATE'
        index_1 = 1;
    case 'PLATE_RBE2_PARALLEL'
        index_1 = 2;
    case 'PLATE_RBE2_SEQUENTIAL'
        index_1 = 3;
    case 'RBE2_2D_HOLE'
        index_1 = 4;
    case 'BAR_SPIDER_2D_HOLE'
        index_1 = 5;
    case 'RBE2_3D_HOLE'
        index_1 = 6;
    case 'BAR_SPIDER_3D_HOLE'
        index_1 = 7;

end

switch Convert_Mesh_To

    case 'PLATE'
        index_2 = 1;
    case 'PLATE_RBE2_PARALLEL'
        index_2 = 2;
    case 'PLATE_RBE2_SEQUENTIAL'
        index_2 = 3;
    case 'RBE2_2D_HOLE'
        index_2 = 4;
    case 'BAR_SPIDER_2D_HOLE'
        index_2 = 5;
    case 'RBE2_3D_HOLE'
        index_2 = 6;
    case 'BAR_SPIDER_3D_HOLE'
        index_2 = 7;

end

Check_result = JT_Compatibility_Matrix(index_1, index_2);
